# Get receives for all receive requests

`GET https://api.strike.me/v1/receive-requests/receives`

Source: https://docs.strike.me/api/get-receives-for-all-receive-requests/

---

Required scopes:

- partner.receive-request.read

## Query parameters

- `$skip` (int32): Skip the specified number of entries.
- `$top` (int32): Get the top X number of records. Max value: 100.
- `$receiveId` (uuid[]): Filter by receive ID(s).
- `$receiveRequestId` (uuid[]): Filter by receive request ID(s).
- `$onchainAddress` (string[]): Filter by onchain address(es).
- `$bolt11Invoice` (string[]): Filter by bolt 11 invoice(s).
- `$paymentHash` (string[]): Filter by bolt 11 invoice payment hash(es).

## Responses

### 200 OK

`application/json`

- `items` (object[], required): The page items.
  - `receiveId` (uuid, required): ID of the receive.
  - `receiveRequestId` (uuid, required): ID of the parent receive request.
  - `type` (string, required): Type of the receive. Note that receive type might differ from the requested type, i.e. in case of Strike-to-Strike payments the type would be P2P. One of `LIGHTNING`, `ONCHAIN`, `P2P`.
  - `state` (string, required): State of the receive. One of `PENDING`, `COMPLETED`.
  - `amountReceived` (object, required): Amount received. In case of LIGHTNING and ONCHAIN receives, this is always the Bitcoin amount.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `amountCredited` (object): Amount credited to the balance of the receive request's target currency. When the currency received is different from the target currency, the amount received is converted to the target currency at the current exchange rate. Will be present only for the completed receives.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `conversionRate` (object): Conversion rate applied to convert the received currency to the target currency.
    - `amount` (string, required): Currency amount in decimal format.
    - `sourceCurrency` (string, required): Source currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
    - `targetCurrency` (string, required): Target currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `created` (date-time, required): Time at which the receive was detected and created in the system.
  - `completed` (date-time): Time at which the receive was completed and credited to the balance.
  - `onchain` (object): Onchain data. Will be present only for onchain receives.
    - `address` (string, required): Bitcoin address to which the onchain payment was made.
    - `transactionId` (string, required): Transaction ID of the onchain payment.
    - `blockHeight` (int64): The height of the block in which the transaction was included.
    - `numberOfConfirmations` (int64): Number of confirmations of the transaction.
  - `lightning` (object): Onchain data. Will be present only for lighting receives.
    - `invoice` (string, required): Lightning invoice.
    - `preimage` (string, required): Payment preimage.
    - `description` (string): Description of the payment.
    - `descriptionHash` (string): Description hash of the payment.
    - `paymentHash` (string, required): Payment hash of the payment.
  - `p2p` (object): P2P data. Will be present only for P2P receives.
    - `payerAccountId` (uuid, required): ID of the account that made the payment.
- `count` (int64, required): Total number of records. When IsCountUnknown is true, this value should be ignored.
- `isCountUnknown` (boolean, required): Indicates whether the total count is unknown or could not be determined. When true, the Count property should be ignored.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
